from direct.showbase.DirectObject import DirectObject 
import sys

class Input(DirectObject):
	def __init__(self):
		self.keymap = {'w' : False,
					's' : False,
					'a' : False,
					'd' : False,
					'j' : False,
					'k' : False,
					'l' : False,
					'f1': False,
					'f2': False,
					'f4':False}
		self.accept("escape", sys.exit)
		self.accept("j", self.setKey, ["j", True])
		self.accept("j-up", self.setKey, ["j", False])
		self.accept("k", self.setKey, ["k", True])
		self.accept("k-up", self.setKey, ["k", False])
		self.accept("l", self.setKey, ["l", True])
		self.accept("l-up", self.setKey, ["l", False])
		self.accept("w", self.setKey, ["w", True])
		self.accept("w-up", self.setKey, ["w", False])
		self.accept("a", self.setKey, ["a", True])
		self.accept("a-up", self.setKey, ["a", False])
		self.accept("d", self.setKey, ["d", True])
		self.accept("d-up", self.setKey, ["d", False])
		self.accept("s", self.setKey, ["s", True])
		self.accept("s-up", self.setKey, ["s", False])
		self.accept("f1", self.setKey, ["f1", True])
		self.accept("f2", self.setKey, ["f2", True])
		self.accept("f4", self.setKey, ["f4", True])
		
	def setKey(self, key, value):
		self.keymap[key] = value

		


